    One-dimensional gaussian function.

gauss1d
>>> create_model_component("gauss1d", "mdl")
>>> print(mdl)

Create a component of the gauss1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 10 1.17549e-38 3.40282e+38 mdl.pos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

Compare the gaussian and normalized gaussian models:

>>> from sherpa.models.basic import Gauss1D, NormGauss1D >>> m1 = Gauss1D() >>> m2 = NormGauss1D() >>> m1.pos, m2.pos = 10, 10 >>> m1.ampl, m2.ampl = 10, 10 >>> m1.fwhm, m2.fwhm = 5, 5 >>> m1(10) 10.0 >>> m2(10) 1.8788745573993026 >>> m1.fwhm, m2.fwhm = 1, 1 >>> m1(10) 10.0 >>> m2(10) 9.394372786996513

The normalised version will sum to the amplitude when given an integrated grid - i.e. both low and high edges rather than points - that covers all the signal (and with a bin size a lot smaller than the FWHM):

>>> import numpy as np >>> m1.fwhm, m2.fwhm = 12.2, 12.2 >>> grid = np.arange(-90, 110, 0.01) >>> glo, ghi = grid[:-1], grid[1:] >>> m1(glo, ghi).sum() 129.86497637060958 >>> m2(glo, ghi).sum() 10.000000000000002

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The Full-Width Half Maximum of the gaussian. It is related to the sigma value by: FWHM = sqrt(8 * log(2)) * sigma.
pos
The center of the gaussian.
ampl
The amplitude refers to the maximum peak of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * exp(-4 * log(2) * (x - pos)^2 / fwhm^2)

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023